/// IMPORTING THIRD PARTY PACKAGES
import 'package:flutter/material.dart';


/// Localization class to handle the multi language texts
class LocalizationClass {

  LocalizationClass(this.locale);

  /// The local instance to retrieve the local language
  final Locale locale;

  static LocalizationClass of(BuildContext context) {
    return Localizations.of<LocalizationClass>(context, LocalizationClass)!;
  }

  /// Translation mapping
  static Map<String, Map<String, String>> _localizedValues = {
    'en': {
      'signupTitle': 'Unlock the power of the networking',
      'signupSubtitle': 'It needs just 2 minutes',
      'signupGoogle': 'Signup with Google',
      'useEmail': 'or just use your email',
      'fullName': 'Full name',
      'email': 'Email',
      'password': 'Password',
      'acceptTerms': 'I accept the terms and the conditions',
      'signupButton': 'Signup',
      'haveAccount': 'Do you have an account?',
      'loginTitle': 'Login',
      'loginSubtitle': '',
      'loginGoogle': 'Login with Google',
      'loginButton': 'Login',
      'bioStepSignupTitle': 'How would you like to be introduced',
      'bioStepSignupSubTitle': 'This will be the description that we will use to introduce you to your matches. Remember you to write in third person',
      'bioStepSignupMenu': 'Biography',
      'bioStepSignupMinChars': '{current_number} characters. (min characters {min_number})',
      'bioStepSignupExamplesTitle': 'Some examples of bios',
      'bioStepSignupExampleBio': 'Marco is the CEO of a startup that produces honey in a smart way. He loves work in team',
      'profileStepSignupMenu': 'Profile',
      'changePic': 'Change pic',
      'nameInputTitle': 'Name',
      'surnameInputTitle': 'Surname',
      'roleInputTitle': 'Role',
      'companyInputTitle': 'Company',
      'sectorInputTitle': 'Sector',
      'experienceInputTitle': 'Experience',
      'linkedinInputTitle': 'LinkedIn',
      'twitterInputTitle': 'Twitter',
      'areaInputTitle': 'Where are you based in?',
      'languagesInputTitle': 'Spoke languages',
      'zwapDataStepSignupMenu': 'Interests',
      'interestedInTitle': 'I\'m interested in',
      'interestedInSubtitle': 'Customize your profile and your matches adding up to 10 interests',
      'addMoreInterestPlaceholder': 'Add more interests',
      'targetsTitle': 'Targets',
      'targetsSubtitle': 'We will optimize your matches in base of your targets',
      'wantTalkAboutTitle': 'I wanna talk about...',
      'wantTalkAboutPlaceholderInput': 'Climate changing',
      'lookingForTitle': 'I\'m looking for...',
      'lookingForPlaceholder': 'a tech co-founder to launch a new startup about food tech',
      'cancelButton': 'Cancel',
      'saveButton': 'Save',
      'efficiencyTitle': 'Profile efficiency',
      'skipButton': 'Skip',
      'backButton': 'Back',
      'continueButton': 'Continue',
      'exploreButtonMenu': 'Explore',
      'suggestedButtonMenu': 'Suggested',
      'viewProfileButton': 'View profile',
      'memberOfTitle': 'Member of',
      'cityPlaceholder': "City",
      "rolePlaceholder": "Role",
      "companyPlaceholder": "Company",
      "socialLinkedinPlaceholder": "Linkedin",
      "socialTwitterPlaceholder": "Twitter",
      "invitedByPlaceholder": "Invited by ",
      "askIntro": "Ask an intro",
      "suggestedUsersTitle": "Suggested users",
      "findPeopleKnows": "Find who knows",
      "commonPeople": "We find common people",
      "infoAbout": "Info about ",
      "writePrivateNote": "Write a private note about ",
      "alreadyCommonPeople": "people in common",
      "schedule": "Schedule",
      "viewAllMeetings": "View all meetings",
      "nextMeetings": "Next meetings",
      "removeButton": "Remove",
      "addButton": "Add",
      "january": "January",
      "february": "February",
      "march": "March",
      "april": "April",
      "may": "May",
      "june": "June",
      "july": "July",
      "august": "August",
      "september": "September",
      "october": "October",
      "november": "November",
      "december": "December",
      "januaryAbbr": "Jan",
      "februaryAbbr": "Feb",
      "marchAbbr": "Mar",
      "aprilAbbr": "Apr",
      "mayAbbr": "May",
      "juneAbbr": "June",
      "julyAbbr": "July",
      "augustAbbr": "Aug",
      "septemberAbbr": "Sept",
      "octoberAbbr": "Oct",
      "novemberAbbr": "Nov",
      "decemberAbbr": "Dec",
      "mondayAbbr": "Mon",
      "tuesdayAbbr": "Tue",
      "wednesdayAbbr": "Wen",
      "thursdayAbbr": "Thu",
      "fridayAbbr": "Fri",
      "saturdayAbbr": "Sat",
      "sundayAbbr": "Sun",
      "notFoundTitle": "We are sorry but we didn't find any content about what you are looking for",
      "connectToGoogle": "Connect with Google",
      "connectToLinkedin": "Connect with linkedin",
      "meetingConfirmedTitle": "Meeting confirmed",
      "meetingConfirmedSubTitle": "Here your next steps",
      "fistStepMeetingConfirmed": "You will receive the introducing email to your match 24h before each slots",
      "secondStepMeetingConfirmed": "Once received your match, confirm your participation by email o reschedule the meeting if you need it",
      "thirdStepMeetingConfirmed": "Enjoy yourself e remember that from the unexpected connections come the best opportunities",
      "findPeopleOnZwap": "Find people on Zwap",
      "viewYourMeeting": "View your meeting",
      "rescheduleButton": "Reschedule",
      "today": "Today",
      "meetingScheduledTitle": "Your scheduled meetings",
      "meetingScheduledSubTitle": "View all of your scheduled meetings. If you need, reschedule them or delete the participation until 24h before your match",
      "totalMeeting": "Total meetings",
      "totalStreak": "Total streaks",
      "invitedFriends": "Friends invited",
      "zwapScoreTitle": "Zwap score",
      "generatedMeetingsTitle": "Meetings generated",
      "meetings": "Meetings",
      "zwapPoints": "Zwap Points",
      "contactsTitle": "contacts",
      "searchFiltersPlaceholder": "Search",
      "importContactsButton": "Import contacts",
      "exportContactsButton": "Export contacts",
      "scheduleNextMeeting": "Schedule your next meeting",
      "scheduleNextMeetingSubTitle": "Choose one of the available slots",
      "buildZwapWithUs": "Build Zwap with us",
      "buildZwapWithUsSubTitle": "",
      "sendInvite": "Send",
      "copyInviteButton": "Copy",
      "chooseYourMatchTitle": "Choose your match",
      "chooseYourNetwork": "Choose your network",
      "chooseYourNetworkSubTitle": "Choose which network you wanna meet",
      "kindOfMeetingTitle": "Kind of meeting",
      "kindOfMeetingSubTitle": "Choose if you wanna meet your match in 1:1 or in group or both",
      "oneToOneMeeting": "1:1",
      "groupsMeeting": "Group",
      "notSupportedScreenTitle": "We are sorry but this device it's not supported"
    },
    'it': {
      'signupTitle': 'Sblocca il potere del networking',
      'signupSubtitle': 'Ci vogliono solo 2 minuti',
      'signupGoogle': 'Registrati con Google',
      'useEmail': ' o usa solo la tua email',
      'fullName': 'Nome completo',
      'email': 'Email',
      'password': 'Password',
      'acceptTerms': 'Accetto i termini e condizioni',
      'signupButton': 'Registrati',
      'haveAccount': 'Hai un account?',
      'loginTitle': 'Login',
      'loginSubtitle': '',
      'loginGoogle': 'Entra con Google',
      'loginButton': 'Login',
      'bioStepSignupTitle': 'Come vorresti essere introdotto',
      'bioStepSignupSubTitle': 'Questa sarà la descrizione che useremo per introdurti ai tuoi match. Rircordati di scriverla in terza persona',
      'bioStepSignupMenu': 'Biografia',
      'bioStepSignupMinChars': '{current_number} caratteri (minimo {min_number} caratteri)',
      'bioStepSignupExamplesTitle': 'Alcuni esempi di bio',
      'bioStepSignupExampleBio': 'Marco è il CEO di una startup che produce miele in modo smart. Ama lavorare in gruppo',
      'profileStepSignupMenu': 'Profilo',
      'changePic': 'Cambia foto',
      'nameInputTitle': 'Nome',
      'surnameInputTitle': 'Cognome',
      'roleInputTitle': 'Ruolo',
      'companyInputTitle': 'Azienda',
      'sectorInputTitle': 'Settore',
      'experienceInputTitle': 'Esperienza',
      'linkedinInputTitle': 'LinkedIn',
      'twitterInputTitle': 'Twitter',
      'areaInputTitle': 'Dove sei basato?',
      'languagesInputTitle': 'Linguaggi parlati',
      'zwapDataStepSignupMenu': 'Interessi',
      'interestedInTitle': 'Mi interesso di...',
      'interestedInSubtitle': 'Personalizza il tuo profilo aggiungendo fino a 10 interessi',
      'addMoreInterestPlaceholder': 'Aggiungi più interessi',
      'targetsTitle': 'Obiettivi',
      'targetsSubtitle': 'Ottimizzeremo i tuoi match in base ai tuoi obiettivi',
      'wantTalkAboutTitle': 'Voglio parlare di...',
      'wantTalkAboutPlaceholderInput': 'Cambiamento climatico',
      'lookingForTitle': 'Sto cercando...',
      'lookingForPlaceholder': 'un tech co-founder per lanciare una nuova startup nel food tech',
      'cancelButton': 'Annulla',
      'saveButton': 'Salva',
      'efficiencyTitle': 'Efficienza profilo',
      'skipButton': 'Salta',
      'backButton': 'Indietro',
      'continueButton': 'Continua',
      'exploreButtonMenu': 'Esplora',
      'suggestedButtonMenu': 'Suggeriti',
      'viewProfileButton': 'Vedi profilo',
      'memberOfTitle': 'Membro di ',
      'cityPlaceholder': "Città",
      "rolePlaceholder": "Ruolo",
      "companyPlaceholder": "Azienda",
      "socialLinkedinPlaceholder": "Linkedin",
      "socialTwitterPlaceholder": "Twitter",
      "invitedByPlaceholder": "Invitato da ",
      "askIntro": "Chiedi un intro",
      "suggestedUsersTitle": "Utenti suggeriti",
      "findPeopleKnows": "Scopri chi conosce",
      "commonPeople": "Troviamo persone in comune",
      "infoAbout": "Info su ",
      "writePrivateNote": "Scrivi una nota privata su ",
      "alreadyCommonPeople": "persone in comune",
      "schedule": "Programma",
      "viewAllMeetings": "Vedi tutti i meetings",
      "nextMeetings": "Prossimi meeting",
      "removeButton": "Rimuovi",
      "addButton": "Aggiungi",
      "january": "Gennaio",
      "february": "Febbraio",
      "march": "Marzo",
      "april": "Aprile",
      "may": "Maggio",
      "june": "Giugno",
      "july": "Luglio",
      "august": "Agosto",
      "september": "Settembre",
      "october": "Ottobre",
      "november": "Novembre",
      "december": "Dicembre",
      "januaryAbbr": "Gen",
      "februaryAbbr": "Feb",
      "marchAbbr": "Mar",
      "aprilAbbr": "Apr",
      "mayAbbr": "Mag",
      "juneAbbr": "Giu",
      "julyAbbr": "Lug",
      "augustAbbr": "Ago",
      "septemberAbbr": "Set",
      "octoberAbbr": "Ott",
      "novemberAbbr": "Nov",
      "decemberAbbr": "Dic",
      "mondayAbbr": "Lun",
      "tuesdayAbbr": "Mar",
      "wednesdayAbbr": "Mer",
      "thursdayAbbr": "Gio",
      "fridayAbbr": "Ven",
      "saturdayAbbr": "Sab",
      "sundayAbbr": "Dom",
      "notFoundTitle": "Ci dispiace ma non riusciamo a trovare nessun contenuto correlato",
      "connectToGoogle": "Connettiti con Google",
      "connectToLinkedin": "Connettiti con linkedin",
      "meetingConfirmedTitle": "Meeting confermato",
      "meetingConfirmedSubTitle": "Ecco i tuoi prossimi steps",
      "fistStepMeetingConfirmed": "Riceverai una intro via email ogni 24h prima del tuo match",
      "secondStepMeetingConfirmed": "Una volta ricevuto il match confermalo o se non puoi essere presente rischedulalo / annullano fino a 24h prima",
      "thirdStepMeetingConfirmed": "Divertiti e ricorda che le migliori opporunità nascono dalle connessioni più inaspettate",
      "findPeopleOnZwap": "Trova persone su Zwap",
      "viewYourMeeting": "Vedi il tuo meeting",
      "rescheduleButton": "Riprogramma",
      "today": "Oggi",
      "meetingScheduledTitle": "I tuoi meeting programmati",
      "meetingScheduledSubTitle": "Vedi tutti i tuoi meeting programmati. Puoi rischedularli fino a 24h prima del match",
      "totalMeeting": "Meetings totali",
      "totalStreak": "Streak totali",
      "invitedFriends": "Amici invitati",
      "zwapScoreTitle": "Zwap score",
      "generatedMeetingsTitle": "Meetings generati",
      "meetings": "Meetings",
      "zwapPoints": "Zwap Points",
      "contactsTitle": "contatti",
      "searchFiltersPlaceholder": "Cerca",
      "importContactsButton": "Importa contatti",
      "exportContactsButton": "Esporta contatti",
      "scheduleNextMeeting": "Programma il tuo prossimo meeting",
      "scheduleNextMeetingSubTitle": "Scegli uno degli slot disponibili",
      "buildZwapWithUs": "Costruisci Zwap con noi",
      "buildZwapWithUsSubTitle": "",
      "sendInvite": "Invia",
      "copyInviteButton": "Copia",
      "chooseYourMatchTitle": "Scegli il tuo match",
      "chooseYourNetwork": "Scegli il tuo network",
      "chooseYourNetworkSubTitle": "Scegli quale network vuoi incontrare",
      "kindOfMeetingTitle": "Tipo di meeting",
      "kindOfMeetingSubTitle": "Scegli se vuoi incontrare il tuo match in gruppo, 1:1 o entrambi",
      "oneToOneMeeting": "1:1",
      "groupsMeeting": "Gruppo",
      "notSupportedScreenTitle": "Ci dispiace ma questo dispositivo non sembra supportato"
    },
  };

  /// Retrieve the local text for this key
  String dynamicValue(String key) {
    return _localizedValues[locale.languageCode]![key]!;
  }
}